Story # 2300 (Closed): Configure DNS for production

Configure backup DNS server

2012-02-08 02:20 - Matthew Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: Support Operations Estimated time: 0.00 hour

Target version: Sprint-2012.07-Block.1.4   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

History

#1 - 2012-02-08 02:22 - Matthew Jones

- Category set to Support Operations

From Dave:

On further investigation the DynDNS route won't provide a viable

solution for us. Features such as RR DNS are only available on the

much more expensive ($200/month) account, which would be overkill for

us. I checked and they do not offer any sort of discount for OS

projects.

I did come across "freedns.afraid.org" (among several others) which

sounds a bit rough, but the logs and status reports indicate that

whoever is running it appears to be on the game and has provided a

decent service for several years now.

I would suggest a minimal approach at this stage which uses UCSB as

the primary DNS and freedns for backup. It looks like axfr from

ns2.nceas.ucsb.edu works fine, so the only changes to config to enable

this as a backup DNS would be to add a record like:

dataone.org. IN NS ns2.afraid.org.

to the dataone zone file. I expect it will also be necessary to add

ns2.afraid.org as a secondary NS at the DataONE.org registrar.

Alternatively, we could setup DNS at ORC or UNM, but frankly, having

something completely off site is preferable and easy.

Let me know if this seems like a reasonable approach at this stage to

provide some basic DNS backup service.

thanks,

Dave V.
#2 - 2012-02-14 02:28 - Matthew Jones

- Status changed from New to Closed

- % Done changed from 0 to 100

Added ns2.afraid.org to the list of authoritative name servers for the domain.  Task complete.
